IDEA2019.3.3 + Maven3.6.3 + JDK13(最新版)环境配置 以及 遇到错误解决过程 + 方法

心累,找了无数教程,历经多次版本更替,最后终于得行,所以此次记录这次历程,也算一种成长吧~~

  1. 试过搭配

    IDEA版本 Maven版本 JDK版本 成功与否
    2019.1.2 3.6.0 JDK8
    2019.1.2 3.6.3 JDK8
    2019.1.2 3.6.3 JDK13
    2019.3.3 3.6.0 - 3.6.2 JDK13
    2019.3.3 3.6.3 JDK13 成功

成功的结果是借鉴了N篇网上的教程,但是最后最有帮助的还是群里的大佬的帮助,话不多说,开始教程(最后有错误解决)

一、 环境准备

  1. IDEA2019.3.3专业版下载

直接下载链接

下载网页

  1. Maven下载

所有3.x版本

最新版下载

  1. Jdk13下载

jdk13下载网页

二、Maven配置

  1. 添加电脑环境变量

添加环境变量,变量名:Maven_Home, 值:maven路径

  1. 添加 path 环境变量

添加 %Maven_Home%\bin

  1. 命令行检查是否按照成功
mvn -v
  1. 配置maven settings.xml文件
  • 设置本地仓库
<settings xmlns="http://maven.apache.org/SETTINGS/1.0.0"
 xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
 xsi:schemaLocation="http://maven.apache.org/SETTINGS/1.0.0 http://maven.apache.org/xsd/settings-1.0.0.xsd">
 <localRepository>repository(本地仓库)位置</localRepository>
  • 设置镜像
      
<mirror>
 <id>alimaven</id>
 <mirrorOf>central</mirrorOf>
 <name>aliyun maven</name>
 <url>http://maven.aliyun.com/nexus/content/repositories/central/</url>
 </mirror>
    
  • 设置 jdk
    
<profile>
 <id>jdk-13</id>
 <activation>
 <activeByDefault>true</activeByDefault>
 <jdk>13</jdk>
 </activation>
 <properties>
 <maven.compiler.source>13</maven.compiler.source>
 <maven.compiler.target>13</maven.compiler.target>
 <maven.compiler.compilerVersion>13</maven.compiler.compilerVersion>
 </properties>
</profile>

注意事项

  1. 设置jdk,网上有的教程直接将 jdk13, 直接设置成了 jdk1.3,导致我后面运行

    mvn compile -U时,直接出现 版本出错,后面经过大佬的纠正才得以编译成功

  1. 关于设置镜像的问题,一个阿里云的镜像就够了

三、Maven + IDEA 组合

  1. 全局设置 IDEA
  • 首先进入 IDEA,点击 File,然后点击Close Project

  • 随后,点击右下角 Configure,Settings

注:在项目中设置,是设置的局部,新创个项目就没了

从上往下,分别对应 Maven地址,Maven设置文件地址,本地仓库地址(根据自己实际情况更改即可)

jdk版本选择正确,最上面两个选项需勾

  1. 创建一个不需要 Idea archetype 的项目

直接 Next,随后取Name后,Finsh

  1. 第一次创建,会下载非常多的 依赖 JR等文件到本地仓库,大概花 10 minute左右, 当然,如果有此下载过程,就代表下列 Error不会出现
  • not resolve plugins .... 2.5 等等

  • 底层运行报 warning,

  • pom.xml 文件中加入依赖,后会自动import 导入

  1. 导入依赖(分两种方法)
  • a. 网页手动获取

    获取网址

  • b. Idea 内部获取

    首先 右键 点击

    然后进行 dependency获取

    会出现下列选项,或者另外一种

    注:如果是搜索的那种,输入了之后,一定要多次 ctrl + s , 这样 no result 就会消失,变成可以选的依赖(亲身体会)

四、Finally

  1. mvn 的一些命令
mvn -versionmvn -vmvn help:systemmvn archetype:generate.....
  1. 我选的这种版本搭配,不一定唯一,其他被否的也很可能也行,但是至少我没搞出来,环境这东西,太难顶了,如果没有Java群大佬的一步步指定纠正

  2. 下面是一些参考链接(仅供参考, 我不能说那个作用最大,但是都有用就是了(笑),可能对你现在的情况有所帮助)

a. https://www.cnblogs.com/pxblog/p/11617609.html

b. https://www.cnblogs.com/huangting/p/11079087.html

c. https://blog.csdn.net/weixin_42871989/article/details/85069885

d. https://blog.csdn.net/jwcxs_m/article/details/80076909

e. https://blog.csdn.net/zhang33565417/article/details/97634921

f. http://www.mamicode.com/info-detail-2274928.html

g. https://blog.csdn.net/sky19891212/article/details/43924831

h. https://blog.csdn.net/qq_29951485/article/details/88723491

最后的最后

也许看到上面那么多参考链接,无从下手,下面列举一些我见过的别的大佬教程中,解决bug效果最佳的

  1. IDEA中Maven依赖包下载不了的问题解决方案汇总

    这个是解决 依赖写在 pom.xml文件中,而无法加载依赖的问题

    我的当时的依赖无法加载,就是将 本地仓库删除了,重新导入解决的

  2. 解决idea中maven项目的pom文件不会自动下载jar包问题 + 更新不完整依赖命令

    最后那个更新不完整依赖命令非常有效

  3. maven的pom文件出现:Failed to read artifact descriptor for org.springframework.boot:*** 或其他jar包解决方法

    删除错误 jar包

  4. 当然,查看 日志 也是非常重要的

    Help -> show Log in Explorer 根据相应 Error 纠正即可

--
3/1更新
Intellij idea 报错:Error : java 不支持发行版本5

最后,祝你 成功解决Bug,喵~~~~

posted @ 2020-03-01 18:23  小喵钓鱼  阅读(...)  评论(...编辑  收藏